<?php

class UsuarioWeb extends CWebUser {

    private $_model;

    public function getId_empresa() {
        $usuario = $this->loadUser(Yii::app()->user->id);
        return $usuario->id_empresa;
    }
    
    public function getEsCoordinador() {
        $usuario = $this->loadUser(Yii::app()->user->id);
        return ($usuario->tipo == Usuario::TIPO_USUARIO_COORDINADOR);
    }
    
    public function getTieneEquipo() {
        $subscripcion = $this->loadSubscripcion(Yii::app()->user->id);
        return ($subscripcion->producto->n_agentes > 0);
    }

    public function getSubscripcion() {
        return $this->loadSubscripcion(Yii::app()->user->id);
    }
    
    // Load user model.
    protected function loadUser($id = null) {
        if ($this->_model === null) {
            if ($id !== null)
                $this->_model = Usuario::model()->findByPk($id);
        }
        return $this->_model;
    }

    // Carga la subscripción activa
    protected function loadSubscripcion($idUsuario = null) {
        return Subscripcion::model()->activa()->findByAttributes(array('id_usuario' => $idUsuario));
    }
    
    
}

?>